<script>
import InlineSVG from "svelte-inline-svg"

import { setIndex } from "@/helpers/setSvgIndex"

export let name = "logo"
export let folder

const fetchSVG = async () => {
	if (folder)
		return (await import(`../assets/svg/${folder}/${name}.svg`)).default

	return (await import(`../assets/svg/${name}.svg`)).default
}

let promise = fetchSVG()

async function change() {
	promise = fetchSVG()
}

$: change(name, folder)
</script>

{#await promise}
{:then src}
	<InlineSVG src={src} transformSrc={setIndex} />
{/await}